Package: groovy.xml.slurpersupport

## [Java] Class NodeIterator

- groovy.xml.slurpersupport.NodeIterator

- All Implemented Interfaces and Traits:
    Iterator

      public abstract class NodeIterator
      extends Object
      implements Iterator

  Helper class for iterating through nodes.

- - ### Constructor Summary

    Constructors
    Constructor and description
    `NodeIterator(Iterator iter)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected abstract Object` | `getNextNode(Iterator iter)`
    `` | `public boolean` | `hasNext()`
    `` | `public Object` | `next()`
    `` | `public void` | `remove()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### public NodeIterator(Iterator iter)

  - ### Method Detail

    - #### protected abstract Object getNextNode(Iterator iter)

    - #### @Override
      public boolean hasNext()

    - #### @Override
      public Object next()

    - #### @Override
      public void remove()